#!/bin/bash

if [ "$#" -ne 2 ]
	then
	echo "Usage:"
	echo "$0 http://example.org/1.html http://example.org/2.owl"
	echo ""
	echo "Params:"
	echo " http://example.org/1.html XHTML+RDFa"
	echo " http://example.org/2.owl RDF/XML"
	exit
fi

rapper -q -i rdfa $1 > unsortrdfa.txt
rapper -q -i rdfxml $2 > unsortowl.txt
sort unsortrdfa.txt > sortrdfa.txt
sort unsortowl.txt > sortowl.txt
rdfa=`md5sum sortrdfa.txt | awk '{ print $1 }'`
owl=`md5sum sortowl.txt | awk '{ print $1 }'`
#echo $rdfa
#echo $owl
if [ "$rdfa" = "$owl" ]
	then
	echo 'Graphs are the same'
	else
	echo 'Graphs are NOT the same'
fi
