/**
 * test-webid
 * Copyright (C) 2011 Thomas Bergwinkl
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.bergnet.test.webid.testcases;

import org.bergnet.test.EarlTestCase;
import org.bergnet.test.webid.WebIDTestException;
import org.junit.Test;


public class Simple extends AbstractTestCase {
	public Simple() throws Exception {
		id = "simple.rdf";
		verificationQuery = "PREFIX earl: <http://www.w3.org/ns/earl#>\n" +
				"PREFIX wit: <http://www.w3.org/2005/Incubator/webid/earl/RelyingParty#>\n" +
				"ASK WHERE {\n" +
				"	?webidAuthenticationAssertion\n" +
				"		earl:test wit:webidAuthentication;\n" +
				"		earl:result ?webidAuthenticationResult.\n" +
				"	?webidAuthenticationResult\n" +
				"		earl:outcome earl:passed;\n" +
				"		earl:pointer ?webidClaim.\n" +
				"	?webidClaim wit:claimedIdentity ?webidString }";

		init();
	}

	@EarlTestCase(
			url="http://www.w3.org/2005/Incubator/webid/earl/TestSuite#simple",
			title="Simple authentication works?",
			description="Simple test using RDF/XML FOAF and single URI.")
	@Test
	public void test() throws Exception {
		generateWebID();
		buildFOAF();
		publishFOAF();
		login();
		verifyOutput();

		if(!this.result)
			throw new WebIDTestException("Error during simpled authentication test");
	}
}
